Articulate Online System Requirements for an Administrator or Publisher

Article Last Updated

This article applies to:

To manage your Articulate Online content via a web browser, you'll need the following minimum system requirements:

  • Adobe Flash Player 7 or later
  • One of the following web browsers (stated version or later) on a Microsoft Windows computer:
    • Internet Explorer 6
    • Google Chrome
    • Firefox 1.5
    • Safari 3

Administrator and Publisher functionality have not been tested for compatibility with Macintosh systems.

See also: